<footer _ngcontent-rao-c2="">
    <div _ngcontent-rao-c2="" class="container">
        <div _ngcontent-rao-c2="" class="logo"><img _ngcontent-rao-c2="" alt="" src="images/ie-logo-nav-desktop.png">
            <p _ngcontent-rao-c2="" class="subtitle">It’s Easy When You Know How</p>
        </div>
        <ul class="footer-ul">
            <li><a data-intgrtn-link-agreements="1" href="" class="">Website Agreement</a></li>
            <li><a data-intgrtn-link-agreements="2" href="" class="">Risk Disclaimer</a></li>
            <li><a data-intgrtn-link-agreements="3" href="" class="">Privacy Policy</a></li>
            <li><a data-intgrtn-link-report-abuse="" href="" class="">Report Abuse</a></li>
            <li><a data-intgrtn-link-contact-us="" href="" class="">Contact Us</a></li>
        </ul>
        <div _ngcontent-rao-c2="" class="text">
            <div data-intgrtn-agreements="" data-intgrtn-type="4" style="font-size: 12px; padding-top: 20px"></div>
        </div>
    </div>
</footer>
</offers-sign-up>
</section>
</offers-root>
<style>
	.btc-widget-block {
		z-index: 99999;
		position: fixed;
		bottom: 10px;
		left: 10px;
	}

	@media (max-width: 500px) {
		.btc-widget-block {
			display: none;
		}
	}

	.btc-widget-block #btc-widget-wrapper {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-around;
		background-color: white;
		width: 285px;
		border: 2px solid #e1e5ea;
		border-radius: 10px;
		padding: 10px 0px;
		font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
		overflow: hidden;
        text-align: center;
        font-size: 20px;
        font-weight: bold;
	}

	.btc-widget-block #btc-widget-wrapper #btc-widget-image {
		width: 64px;
		height: 64px;
	}

	.btc-widget-block #btc-widget-wrapper .btc-widget-text-wrapper {
		display: flex;
		flex-wrap: wrap;
		justify-content: space-evenly;
		flex-direction: column;
	}

	.btc-widget-block #btc-widget-wrapper .btc-widget-text-wrapper #btc-widget-title {
		color: #1070e0;
		font-weight: bold;
		font-size: 20px;
	}

    .js-price-up {
        color: green;
    }

    .js-price-down {
        color: red;
    }
</style>
<div class="btc-widget-block">
	<div id="btc-widget" style="">
		<div id="btc-widget-wrapper" style="padding-top: 9px;">
			<img alt="logo" src="images/bitcoinicon.png" id="btc-widget-image">
			<div class="btc-widget-text-wrapper">
				<div id="btc-widget-title">Bitcoin</div>
				<div><span id="btc-widget-price-block"></span></div>
			</div>
		</div>
	</div>
</div>
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/videojs.js"></script>
<script>
    var cryptoCurrencyItem = "";
    var priceBlock = $('#btc-widget-price-block');

    $.ajax({
        url: "https://api.binance.com/api/v3/ticker/24hr?symbol=BTCUSDT",
        success: function (response) {
            // Wrap the single Binance object in an array to use .find()
            var responseArray = [response];

            cryptoCurrencyItem = responseArray.find(singleCryptoItem => singleCryptoItem.symbol.toLowerCase() === "btcusdt");

            if (Math.sign(parseFloat(cryptoCurrencyItem.priceChangePercent)) > 0) {
                priceBlock.addClass('js-price-up').append('$ ' + parseFloat(cryptoCurrencyItem.lastPrice).toFixed(2) + ' ' + '&#129105;');
            } else {
                priceBlock.addClass('js-price-down').append('$ ' + parseFloat(cryptoCurrencyItem.lastPrice).toFixed(2) + ' ' + '&#129107;');
            }
        }
    });
</script>
</div>
<!-- BEGIN intgrtn -->
<script>
    window.intgrtnInit = function () {
        var path = "/";
        if (window.location.pathname.split("/")[1]) {
            path = "/" + window.location.pathname.split("/")[1] + "/";
        }
        window.intgrtn.setOptions({
            cookies: {
                path: path
            },
        });

        window.intgrtn.events.on("get.project.details.success", function (response) {
        });

        let today = new Date();
        let dd = today.getDate();
        let mm = today.getMonth() + 1; //January is 0!
        let yyyy = today.getFullYear();
        let tomorrowsDate = dd + "/" + mm + '/' + yyyy;
        let forbesDate = dd + "." + mm + '.' + yyyy;

        $('.js-today-date').text(tomorrowsDate);
        $(".js-forbes-date").text(forbesDate);

        $('[offersscrolltotop]').on("click", function (e) {
            e.preventDefault();
            $('html, body').animate({
                scrollTop: $(".top-intgrtn-signup-form-wrapper").offset().top - 100
            }, 1000);
        });

        window.intgrtn.events.on("get.project.details.success", function (response) {
            initUiFlags(response);

            var countryIso = response.data.client.location.countryIsoCode.toLowerCase();
            var country = response.data.client.location.country;
            $('.js-country').text(country);
            $.ajax({
                method: 'head',
                url: 'flags/special/' + countryIso + '.png',
                success: function () {
                    $('.flag')
                        .css("height", "20px")
                        .css("border", "none")
						.css("margin", "auto 10px")
						.attr("src", 'flags/special/' + countryIso + '.png');
				},
				error: function () {
					$('.flag')
						.css("width", "20px")
						.css("height", "auto")
						.css("border", "none")
						.css("margin", "auto 10px")
						.attr("src", 'flags/4x3/' + countryIso + '.svg');
				}
			});

			var url = "/uinames/api/?amount=50&ext",
				region = ['Great Britain', 'United Kingdom'].indexOf(country) > -1 ? 'England' : country;
			$.ajax({
				type: "get",
				url: url + '&region=' + region,
				success: function (response) {
					initSocialProof(response);
				}
			});

			function initSocialProof(peopleArray) {
				var delay = 3000 + Math.random() * 5000;
				var index = Math.floor(Math.random() * peopleArray.length);
				var profit = Math.floor(50 + Math.random() * 200);
				var socialProofImage = peopleArray[index].photo;
				var socialProofName = peopleArray[index].name;
				var currencySymbol = "$";

				switch (response.data.client.location.countryIsoCode ? response.data.client.location.countryIsoCode : null) {
					case"GB":
						currencySymbol = "£";
						break;
					case"AT":
					case"DE":
					case"CH":
					case"NL":
					case"FR":
					case"ES":
					case"IT":
					case"SE":
					case"DK":
					case"NO":
                    case"FI":
                    case"BG":
                        currencySymbol = "€";
                        break;
                    case"ZA":
                        currencySymbol = "R";
                        break;
                    default:
                        currencySymbol = "$";
                }

                $("[data-visitor-currency-symbol]").text(currencySymbol);

                $('.widget-name').text(socialProofName);
                $('.user_status__img.widget-photo').css('background-image', 'url(' + socialProofImage + ')');
                $('.widget-currency').text(currencySymbol + '' + profit);
                $('.user_status').show();
                setTimeout(function () {
                    $('.user_status').hide();
                    setTimeout(function () {
                        initSocialProof(peopleArray)
                    }, 1000)
                }, delay)
            };
        });


        function initUiFlags(projectDetailsResponse) {
            var currencySymbol = "$";
            var countryIso = projectDetailsResponse.data.client.location.countryIsoCode ? projectDetailsResponse.data.client.location.countryIsoCode.toLowerCase() : null;
            var country = projectDetailsResponse.data.client.location.country ? projectDetailsResponse.data.client.location.country : null;
            var countryColors = {
                "AT": ['#ed2939', '#ed2939'],
                "AU": ['#00008b', '#ff0000'],
                "CH": ['#ff0000', '#ff0000'],
                "DE": ['#000000', '#dd0000'],
                "DK": ['#c60c30', '#c60c30'],
                "GB": ['#ff0000', '#00008b'],
                "IE": ['#169b62', '#ff883e'],
                "IT": ['#009246', '#ce2b37'],
                "NL": ['#ae1c28', '#21468b'],
                "NO": ['#ef2b2d', '#002868'],
                "NZ": ['#00247d', '#cc142b'],
                "SE": ['#006aa7', '#fecc00'],
                "ZA": ['#FFB612', '#007A4D'],
            };

            switch (projectDetailsResponse.data.client.location.countryIsoCode ? projectDetailsResponse.data.client.location.countryIsoCode : null) {
                case"BG":
                    currencySymbol = "лв. ";
                    break;
                case"GB":
                    currencySymbol = "£";
                    break;
                case"AT":
                case"DE":
                case"CH":
                case"NL":
                case"FR":
                case"ES":
                case"IT":
                case"SE":
                case"DK":
                case"NO":
                case"FI":
                    currencySymbol = "€";
                    break;
                case"ZA":
                    currencySymbol = "R";
                    break;
                default:
                    currencySymbol = "$";
            }
            $("[data-visitor-currency-symbol]").text(currencySymbol);

            $('.country-name-custom').each(function () {
                var obj = $(this);
                var countryIsoUpper = countryIso.toUpperCase();
                if (countryColors.hasOwnProperty(countryIsoUpper)) {
                    var words = country.split(/ (.+)/);
                    if (words.length < 2) {
                        words[0] = country.substring(0, country.length / 2);
                        words[1] = country.substring(country.length / 2);
                    } else {
                        words[0] += ' ';
                    }
                    $('<span/>').css('color', countryColors[countryIsoUpper][0]).text(words[0].toUpperCase()).appendTo(obj);
                    $('<span/>').css('color', countryColors[countryIsoUpper][1]).text(words[1].toUpperCase()).appendTo(obj);
                } else {
                    obj.text(country);
                }
                $('.flag-wrapper').removeClass('hidden');
            });
        }

        window.intgrtn.events.on("parse.data.tags.form.signup.success", function (form) {
            $(form).find(".intgrtn-input-holder-password").css("display", "none");
            $(form).find('[name="password"]').val(window.intgrtn.generatePassword());
            $(form).find($('.intgrtn-input-holder-first-name')).append('<label class="intgrtn-label"><?= $firstNamePlaceholder; ?></label>')
			$(form).find($('.intgrtn-input-holder-last-name')).append('<label class="intgrtn-label"><?= $lastNamePlaceholder; ?></label>')
			$(form).find($('.intgrtn-input-holder-email')).append('<label class="intgrtn-label"><?= $emailPlaceholder; ?></label>')
        });
    };
    (function (d) {
        if (window.intgrtn) {
            return;
        }
        var s = d.createElement("script");
        var date = new Date();
        s.src = "<?php echo $trackingUrl?>/api/v2/integration/app.js?v=1" + date.getFullYear().toString() + date.getMonth().toString() + date.getDate().toString() + date.getHours().toString() + Math.round(date.getMinutes() / 10).toString();
        d.getElementsByTagName("head")[0].appendChild(s);
    }(document));
</script>
<!-- END intgrtn -->
